Immersive Citizens SE: Compatibility Support


Below are 3 sections. The first section lists all the plugins which are known to be incompatibles with Immersive Citizens while the second section lists all the plugins which are known to be compatibles. The third sections have been created to help you to anticipate future incompatibilities and to help you identify mods which are incompatibles, but are not listed as being such.

Incompatible plugins

Whatever your load order, the plugins listed here will partially or completely disrupt either all or some of my AIs (please read the FAQ for more details).
All these plugins have been checked and tested by myself and are displayed in alphabetical order. Note also that it's not possible to design functional compatibility patches with SEEedit for the plugins listed here (please read the FAQ for more details).

  • Arcadias Mystical Cauldron
  • Belethors Overrated Goods
  • Better Cities SSE - Solitude and Whiterun Overhaul
  • Dawn of Skyrim (Director's Cut version incompatible ; the original version is fully compatible)
  • Expanded Towns and Cities (ETaC) - Complete (Inn & no Inn version) ; The optional plugin Immersive Whiterun is also not compatible.
  • Expanded Towns and Cities (ETaC) - Modular (Inn & no Inn version): Riverwood, Rorikstead, Dark Water Crossing and Falkreath
  • Holds The City Overhaul (Complete version) ; Modular version: HoldsCityFalkreath, HoldsCityWhiterun and HoldsCityWindhelm
  • Immersive Settlements
  • InnCredible
  • Jk's Falkreath (only slightly incompatible)
  • Jk's Rorikstead
  • Jk's Skyrim
  • Nernies City and Village Expansion
  • Northern Bathhouses
  • Rigmor of Bruma (only slightly incompatible)
  • Skyrim Better Roads (only slightly incompatible)
  • Skyrim Radioactive
  • Skyrim Sewers (only slightly incompatible, must be positioned above Immersive Citizens - AI Overhaul.esp in your load order)
  • The Bosmeric Drunken Huntsman
  • THE PEOPLE OF SKYRIM ULTIMATE SE QUESTING EDITION (only slightly incompatible if you don't use my OCS patch)
  • The Real Warmaidens
  • The Scottish Bannered Mare
  • The Useless Shop and Interior Overhaul

Note that the incompatibility of the mod listed here may dramatically increases at each update of Immersive Citizens.

Compatible plugins

All the mods listed here are compatibles. I would like to remind you of 3 important things:

  • Some of the plugins listed here are not compatible between one another. You should not stack plugins which modify the layout of the same cities or villages or you might disrupt the navigation of NPCs and thus the AI used by NPCs.
  • The load order between the mods listed here and the main plugin (Immersive Citizens - AI Overhaul.esp) can be important. If it is important, it's been defined.
  • If a mod is listed here, it does not mean that it does not contains defects creating minor AI bugs (NPCs teleporting for example).
The mods are listed in alphabetical order:
  • Bathing Beauties or Beefcake - Luxury Suite
  • Breezehome by Elianora (must be positioned above Immersive Citizens - AI Overhaul.esp )
  • Breezehome FullyUpgradable (must be positioned above Immersive Citizens - AI Overhaul.esp)
  • Bridges of Skyrim (must be positioned above Immersive Citizens - AI Overhaul.esp)
  • Brisheim
  • Civil War Repairs (must be positioned above Immersive Citizens - AI Overhaul.esp)
  • Cutting Room Floor
  • Darkwater Crossing by Arthmoor
  • Dawn of Skyrim Collection (only the original version is compatible, the director's Cut version is not)
  • Ebonvale Settlement
  • Enhanced Lighting for ENB (must be positioned below Immersive Citizens - AI Overhaul.esp)
  • Elysium Estate
  • Enhanced Skyrim Factions - The Companions Guild (must be positioned above Immersive Citizens - AI Overhaul.esp)
  • Enhanced Landscapes
  • Heljarchen Farm - Skyrim Special Edition
  • Immersive College of Winterhold
  • Immersive Content - Realistic Outdoor Lights (I recommand to position it above Immersive Citizens - AI Overhaul.esp)
  • Immersive Laundry
  • Interesting NPCs (must be positioned above Immersive Citizens - AI Overhaul.esp)
  • Jk's Riverwood (version 1.3a or above)
  • Jk's Whiterun (version 1.4 or above)
  • Lakeview Extended - Hearthfire
  • Leaf Rest
  • Legendary Cities - Tes Arena - Skyrim Frontier Fortress
  • Magical College of Winterhold
  • Moonpath to Elsweyr SSE
  • More Tavern Idles (it is recommended to position it below Immersive Citizens - AI Overhaul.esp)
  • Open Cities Skyrim (Note: only compatible if you use the provided compatibility patch)
  • Project Hippie
  • Provincial Courier Service (must be positioned below Immersive Citizens - AI Overhaul.esp)
  • Requiem (must be positioned above Immersive Citizens - AI Overhaul.esp)
  • Relationship dialogue overhaul (it is recommended to position it below Immersive Citizens - AI Overhaul.esp)
  • Routa - Stormcloak and Warrior cabin (must be positioned above Immersive Citizens - AI Overhaul.esp)
  • Shezrie's Old Hroldan Town
  • Skyfall Estate (SE) (must be positioned above Immersive Citizens - AI Overhaul.esp)
  • Skyrim Bridges (must be positioned above Immersive Citizens - AI Overhaul.esp)
  • SOUTH DRAGON BRIDGE - Fight Against the Thalmor IV
  • Towns and Villages Enhanced (the complete series is compatible)

Tips

This part has been done to help you to build your mod list and to anticipate future incompatibilities.

Color code explanation:
  • The plugins modifying the environment of cities, villages or settlements in the areas highlighted in green will always be compatible with any version of Immersive Citizens.
  • The plugins modifying the environment of cities, villages or settlements in the areas highlighted in grey are currently compatible with Immersive Citizens, but may become incompatible in a future version of Immersive Citizens.
  • The plugins modifying the environment of cities, villages, settlements or houses (shops, jarl's house, etc.) in the areas highlighted in orange may disrupt or disable the AI added by Immersive Citizens, depending on the changes they make.

Cities: Dawntar | Falkreath | Markarth | Morthal | Raven Rock | Riften | Solitude | Whiterun | Windhelm | Winterhold
Towns: Dragon Bridge | Ivarstead | Karthwasten | Riverwood | Rorikstead | Shor’s Stone | Skaal Village
Settlements: Darkwater Crossing | Honningbrew Meadery | Kolskeggr Mine | Kynesgrove | Left Hand Mine | Nightgate Inn | Old Hroldan Inn | Soljund’s Sinkhole | Stonehills | Tel Mithryn | Whistling Mine | Windhelm's Docks
Strongholds: Dushnikh Yal | Largashbur | Mor Khazgur | Narzulbur
Farms and Mills: Anga’s Mill | Battle-Born Farm | Chillfurrow Farm | Half-Moon Mill | Heartwood Mill | Hlaalu Farm | Holly frost Farm | Katla’s Farm | Loreius Farm | Merryfair Farm | Mixwater Mill | Pelagia Farm | Salvius Farm | Sarethi Farm | Snow-Shod Farm | Solitude Sawmill
Faction: Jorrvaskr | College of Winterhold | Dark Brotherhood Sanctuary | Dawnguard Castle | Khajiit Caravan Camps | Thieves Guild HQ | Volkihar Castle

To help you to determine if a mod is incompatible, here are some tips for you:
- Any mods which remove or move or add chairs, beds, tables, walls inside the Inns won't be compatibles, even if the Inn is located in an area highlighted in grey. The mods altering only Old Hroldan Inn and Night Gate Inn are not concerned and therefore will be compatibles whatever the version of Immersive Citizens.
- Any mods which remove or move furnitures, chairs, beds, tables, walls, bridges, archery targets or houses in the areas highlighted in orange won't be compatibles.
- Any mods which adds only static objects or furnitures in the areas highlighted in orange may be incompatibles. It depends how the mod has been designed and where the static objects and furnitures have be placed.
- If by using SSEedit, you see that another plugin modifies the same navmeshes, it's very likely that this plugin is not fully compatible. For reminder, Immersive Citizens alters navigations meshes for 3 reasons:

  • To fix pathfinding issues.
  • To allow NPCs to navigate around the static objects and the furnitures added by Immersive Citizens. (exemple1 ; exemple2)
  • To give access to NPCs to new locations.

Note that the Unofficial Skyrim Special Edition Patch is fully compatible with Immersive Citizens. Indeed, all the navmeshes fixes done by the Unofficial Skyrim Special Edition Patch have been integrated in my plugin and have been improved, however, due to the way SSEedit shows the data stored in the navmesh entries, it's impossible to figure that by using SSEedit.
A few mods such as More Tavern Idles have implemented the modifications made by Immersive Citizens on navigation meshes and thus are compatibles if you load them after Immersive Citizens.
Concerning the mods altering Breezehome, Honeyside, Vlindrel, Hall Hjerim or Proudspire Manor, these mods usually alter navigation meshes used outside these houses for no legitimate reasons. These unnecessary modifications on navigation meshes have been created automatically by The Creation Kit (it's a bug). For now, these modifications are not recognised as ITM (More information about ITM here) by SSEedit while they should be recognised as such. Therefore, these mods are usually only compatibles if you allow Immersive Citizens to override the unnecessary modifications (if they are presents) done on vanilla navmeshes by these plugins. For your information, Immersive Citizens doesn't not alter the navmehes used inside Breezehome, Honeyside, Vlindrel, Hall Hjerim and Proudspire Manor.

Here are general load order rules:
  • The main plugin (Immersive Citizens - AI Overhaul.esp) should be positioned below any plugin which edits Breezehome, Honeyside, Vlindrel, Hall Hjerim or Proudspire Manor.
  • The compatibility patch for OCS (Immersive Citizens - OCS patch.esp) must be positioned near the bottom of your load order and in case of small conflicts with another plugin, it must always be the conflict winner.
  • If you want to try to use a mod which alters a few navmeshes also modified by Immersive Citizens, then the conflict winner should be the mod which alters the more the navmeshes modified by both mods.